45 lines
927 B
Diff
45 lines
927 B
Diff
|
--- /dev/null 2019-09-28 14:48:27.937320545 +0200
|
||
|
+++ bootstrap 2019-09-29 00:35:05.782099759 +0200
|
||
|
@@ -0,0 +1,41 @@
|
||
|
+#!/bin/sh
|
||
|
+
|
||
|
+warn() {
|
||
|
+ echo "WARNING: $@" 1>&2
|
||
|
+}
|
||
|
+
|
||
|
+case `uname -s` in
|
||
|
+Darwin)
|
||
|
+ LIBTOOLIZE=glibtoolize
|
||
|
+ ;;
|
||
|
+FreeBSD)
|
||
|
+ LIBTOOLIZE=libtoolize
|
||
|
+ ;;
|
||
|
+Linux)
|
||
|
+ LIBTOOLIZE=libtoolize
|
||
|
+ ;;
|
||
|
+SunOS)
|
||
|
+ LIBTOOLIZE=libtoolize
|
||
|
+ ;;
|
||
|
+*)
|
||
|
+ warn "unrecognized platform:" `uname -s`
|
||
|
+ LIBTOOLIZE=libtoolize
|
||
|
+esac
|
||
|
+
|
||
|
+# check for varnishapi.m4 in custom paths
|
||
|
+dataroot=$(pkg-config --variable=datarootdir varnishapi 2>/dev/null)
|
||
|
+if [ -z "$dataroot" ] ; then
|
||
|
+ cat >&2 <<'EOF'
|
||
|
+Package varnishapi was not found in the pkg-config search path.
|
||
|
+Perhaps you should add the directory containing `varnishapi.pc'
|
||
|
+to the PKG_CONFIG_PATH environment variable
|
||
|
+EOF
|
||
|
+ exit 1
|
||
|
+fi
|
||
|
+set -ex
|
||
|
+mkdir -p m4
|
||
|
+aclocal -I m4 -I ${dataroot}/aclocal
|
||
|
+$LIBTOOLIZE --copy --force
|
||
|
+autoheader
|
||
|
+automake --add-missing --copy --foreign
|
||
|
+autoconf
|